<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=">
  <title>Debian Project -- Email Forwarding</title>
  <link rev="made" href="mailto:webmaster@debconf.org">
  <meta name="Generator" content="WML 2.0.8 (30-Oct-2001)">
  <meta name="Modified" content="2005-05-09 20:13:07">
</head>
<body text="#000000" bgcolor="#FFFFFF" link="#0000FF" vlink="#800080" alink="#FF0000">
<table width="100%" align="center" border="0" cellpadding="3" cellspacing="0" summary="">
<tr>
  <td align="left" valign="middle">
  <a href="http://www.debian.org/"><img src="http://www.debian.org/logos/openlogo-nd-50.png" border="0" hspace="0" vspace="0" alt=""></a>
  <a href="http://www.debian.org/" rel="start"><img src="http://www.debian.org/Pics/debian.png" border="0" hspace="0" vspace="0" alt="Debian Project"></a>
  </td>
</tr>
</table>
<!--UdmComment-->
<table bgcolor="#DF0451" border="0" cellpadding="0" cellspacing="0" width="100%" summary="">
<tr>
<td valign="top">
<img src="http://www.debian.org/Pics/red-upperleft.png" align="left" border="0" hspace="0" vspace="0" alt="">
</td>
<td rowspan="2" align="center">
<a href="http://www.debconf.org/intro/about"><img src="http://www.debian.org/Pics/about.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="About Debian"></a>
<a href="http://www.debconf.org/News/"><img src="http://www.debian.org/Pics/news.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="News"></a>
<a href="http://www.debconf.org/distrib/"><img src="http://www.debian.org/Pics/getting.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Getting Debian"></a>
<a href="http://www.debconf.org/support"><img src="http://www.debian.org/Pics/support.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Support"></a>
<a href="http://www.debconf.org/devel/"><img src="http://www.debian.org/Pics/devel.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Developers'&nbsp;Corner"></a>
<a href="http://www.debconf.org/sitemap" rel="contents"><img src="http://www.debian.org/Pics/sitemap.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Site map"></a>
<a href="http://search.debconf.org/"><img src="http://www.debian.org/Pics/search.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Search"></a>
</td>
<td valign="top">
<img src="http://www.debian.org/Pics/red-upperright.png" align="right" border="0" hspace="0" vspace="0" alt="">
</td>
</tr>
<tr>
<td valign="bottom">
<img src="http://www.debian.org/Pics/red-lowerleft.png" align="left" border="0" hspace="0" vspace="0" alt="">
</td>
<td valign="bottom">
<img src="http://www.debian.org/Pics/red-lowerright.png" align="right" border="0" hspace="0" vspace="0" alt="">
</td>
</tr>
</table>
<!--/UdmComment-->
<h1>Email Forwarding</h1>
<p>
Emails to @debconf.org addresses now go through a LDAP distributed email system.
This system uses the forwarding field in the LDAP directory to route mail
without passing it through a users .forward file on a single host.
Multiple machines participate in the forwarding to provide redundancy.
<p>
Each forwarders inspects the LDAP database
to see if foo@debconf.org has forwarding set to an address, if so the <i>envelope
to address</i> is rewritten and the message redirected to the new address.
Otherwise the message is relayed to master.debconf.org for processing by the
users .forward files. If email forwarding is setup then .forward files are
<b>NOT</b> considered. Extension addresses (foo-lists) are always routed
directly to master for processing.
<p>
All machines also use the forwarding attribute as a default destination for
email. If the user has a home directory and no .forward file the mail is
forwarded rather than delivered to /var/spool/mail. This makes sure cron
reports, bug responses and other unexpected emails are not misplaced.
<p>
If you set the forwarding address to be a specific Debian machine and do
not create a forward file then that machine will spool the mail to
/var/spool/mail instead of creating a mail loop.
<p>
The email forwarding can be easily reconfigured using GnuPG:
<pre>
echo "emailforward: foo@bar.com" | gpg --clearsign | mail change@db.debconf.org
</pre>
or by visiting <a href="https://db.debconf.org/login.html">db.debconf.org</a>
<p>
You can test the email routing by using the command <tt>/usr/sbin/exim -bt
foo@debconf.org</tt>
<h2>procmail</h2>
If you use procmail for your main mailbox, PLEASE, erase your .forward
file and put a .procmailrc in its place instead. This feature has been
supported on debconf.org machines for a good while now, and will continue to be
supported. .procmailrc files won't be synchronised to all hosts in
the LDAP directory.
<p>
The correct way to invoke procmail for extension addresses is "|/usr/bin/procmail [options]"
Ignore the IFS=".." stuff in the procmail man page.
<h2>MailBox formats</h2>
Email can be saved to mailboxes or maildirs by using the correct lines in a
.forward file:
<p>
Mailbox format files "/debian/home/foo/Mbox"
<br>Maildir format files "/debian/home/foo/MDir/"
<p>
To deliver to /var/spool/mail/foo use a construct like '|/usr/bin/procmail
-m /dev/null'. Putting the mailbox path will not work. You must use
absolute paths for mailboxes, qmail-like ./ paths are not supported by
Exim.
<p>
Also, 'Exim Filter' files are deliberately turned off.
<hr noshade width="100%" size="1">
Back to the <a href="http://www.debian.org/">Debian Project homepage</a>.
<hr noshade width="100%" size="1">
<small>
You can contact us at
<a href="mailto:admin@db.debconf.org">admin@db.debconf.org</a>.
</small>
<p>
<p><small>
Last Modified: Mon, May 9 18:13:06 UTC 2005
  <br>
  Copyright &copy; 1997-2005
 <a href="http://www.spi-inc.org/">SPI</a>; See <a href="http://www.debconf.org/license" rel="copyright">license terms</a><br>
  Debian is a registered trademark of Software in the Public Interest, Inc.
</small></p>
</body>
</html>
